Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::DenFunctional Class Reference

An abstract base class for density functionals. More...

`#include <functional.h>`

Inheritance diagram for sc::DenFunctional:

[legend]
Collaboration diagram for sc::DenFunctional:

[legend]
List of all members.

## Public Methods
| DenFunctional ()
| DenFunctional (const Ref< KeyVal > &)
| DenFunctional (StateIn &)
| ~DenFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual void | set_spin_polarized (int i)
virtual void | set_compute_potential (int i)
virtual int | need_density_gradient ()
virtual int | need_density_hessian ()
virtual void | point (const PointInputData &, PointOutputData &)=0
void | gradient (const PointInputData &, PointOutputData &, double *gradient, int acenter, GaussianBasisSet *basis, const double *dmat_a, const double *dmat_b, int ncontrib_, const int *contrib_, int ncontrib_bf_, const int *contrib_bf_, const double *bs_values, const double *bsg_values, const double *bsh_values)
double | a0 () const
void | fd_point (const PointInputData &, PointOutputData &)
int | test (const PointInputData &)
int | test ()
## Protected Methods
void | do_fd_point (PointInputData &id, double &in, double &out, double lower_bound, double upper_bound)
## Protected Attributes
int | spin_polarized_
int | compute_potential_
double | a0_

## Detailed Description

An abstract base class for density functionals.

## Member Function Documentation

void sc::DenFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState. Reimplemented in sc::NElFunctional.

The documentation for this class was generated from the following file:

- functional.h